- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# SAXHandler Class Reference
[XML Parsing]

`#include <saxparser.h>`

Inheritance diagram for SAXHandler:

List of all members.

## Detailed Description

Base class for SAX event handlers needed by SAXParser.

This is a simplified SAX handler interface.

All event handlers provided by this class are empty, one must subclass SAXHandler and redefine the event handler to make them do something useful.

## Public Member Functions
| SAXHandler ()
virtual | ~SAXHandler ()
virtual void | startElement (const char *name, const char **atts)
virtual void | endElement (const char *name)
virtual void | characterData (const char *s, int len)
virtual void | processingInstruction (const char *target, const char *data)
virtual void | comment (const char *data)
virtual void | startCdataSection ()
virtual void | endCdataSection ()
## Protected Member Functions
virtual void | setParser (SAXParser *p)
## Protected Attributes
SAXParser * | parser
## Friends
class | SAXParser

## Constructor & Destructor Documentation

SAXHandler::SAXHandler | ( |  | ) | `[inline]`

| Constructor.

virtual SAXHandler::~SAXHandler | ( |  | ) | `[inline, virtual]`

| Destructor.

## Member Function Documentation

virtual void SAXHandler::characterData | ( | const char * | s,
|  | int | len
| ) | `[inline, virtual]`

| Called by the parser on SAX CharacterData events. Reimplemented in NEDSAXHandler.

virtual void SAXHandler::comment | ( | const char * | data | ) | `[inline, virtual]`

| Called by the parser on SAX Comment events. Reimplemented in NEDSAXHandler.

virtual void SAXHandler::endCdataSection | ( |  | ) | `[inline, virtual]`

| Called by the parser on SAX CDataEnd events. Reimplemented in NEDSAXHandler.

virtual void SAXHandler::endElement | ( | const char * | name | ) | `[inline, virtual]`

| Called by the parser on SAX EndElement events. Reimplemented in NEDSAXHandler.

virtual void SAXHandler::processingInstruction | ( | const char * | target,
|  | const char * | data
| ) | `[inline, virtual]`

| Called by the parser on SAX ProcessingInstruction events. Reimplemented in NEDSAXHandler.

virtual void SAXHandler::setParser | ( | SAXParser * | p | ) | `[inline, protected, virtual]`

virtual void SAXHandler::startCdataSection | ( |  | ) | `[inline, virtual]`

| Called by the parser on SAX CDataStart events. Reimplemented in NEDSAXHandler.

virtual void SAXHandler::startElement | ( | const char * | name,
|  | const char ** | atts
| ) | `[inline, virtual]`

| Called by the parser on SAX StartElement events. Reimplemented in NEDSAXHandler.

## Friends And Related Function Documentation

friend class SAXParser`[friend]`

## Member Data Documentation

SAXParser* SAXHandler::parser`[protected]`

The documentation for this class was generated from the following file:

- saxparser.h